<?php

use App\Http\Controllers\NGL\AccesoController;

/*
* Rutas para examen de ubicacion, ingles
 */

//Route::group(['middleware' => ['role:Master']], function () {


	Route::get('/examen_ngl', function () { 
	    if (Auth::check()) { 
	    	return AccesoController::acceso();
	    } else { 
	    	return view('index'); 
	    }
	});
	
	Route::resource('ingles',       'InglesController'); //en el index envia correos masivos
	Route::post('nglAlumnos/filtro','InglesAlumnosController@filtro');
	Route::resource('nglAlumnos',   'InglesAlumnosController');
	Route::resource('nglExamen',    'ExamenInglesController');
	Route::post('examen/filtro', 		'ExamenInglesController@filtro');

	Route::POST('confi/{id}',    		'ExamenInglesController@update');
	Route::resource('nglNivel',     'NivelController');

	Route::get('/nglexcel', 'InglesAlumnosController@exportar');
	Route::get('/excel_alumno', 'NGL\UbicacionPagoController@exportar');
	Route::get('/xlsx_liberacion', 'NGL\PagosLiberacionController@exportar');
	Route::resource('/nglmodulo', 'ModuloController');
	Route::resource('/nglseccion', 'SeccionController');
	Route::resource('nglpregunta', 'PreguntaController');

	Route::get('/imprimir', 'InglesAlumnosController@imprimir');
	Route::get('/pdf_alumno', 'NGL\UbicacionPagoController@imprimir');

	Route::group(['middleware' => ['cors']], function () {
	    Route::GET('nglcorreo/{id}',       			'InglesController@correo'); 
	    Route::GET('nglcorreolib/{no_control}', 'NGL\PagosLiberacionController@correo'); 
	});

// |	Rutas agregadas el 25 de oct 2021
// 
	Route::post('nglPagosLiberacion/filtro', 'NGL\PagosLiberacionController@filtro'); //alumnos que pagaron
	Route::resource('nglPagosLiberacion', 'NGL\PagosLiberacionController');
	
	Route::post('examen_lib/filtro', 'NGL\LiberacionController@filtro_confi');
	Route::POST('upd/liberacion',   'NGL\LiberacionController@update'); 
	Route::resource('nglLiberacion',   		'NGL\LiberacionController'); //ruta para confi el examen
	Route::resource('nglalulibman', "NGL\AlumnoManualController");
	
	Route::post('ngl_xmn/filtro',   'NGL\UbicacionPagoController@filtro');
	Route::post('ngl_xmn/list_filtro','NGL\UbicacionPagoController@filtro_list');
	Route::GET('ngl_xmn/listado',   'NGL\UbicacionPagoController@listado');
	Route::POST('upd/ngl_xmn/{id}',    	'NGL\UbicacionPagoController@update');
	Route::resource('ngl_xmn',    	'NGL\UbicacionPagoController')->only(['index', 'create', 'store', 'show', 'edit']);
	Route::resource('modulo/nivel', 'NGL\ModuloNivelController')->except(['index', 'create', 'edit' ]);


	Route::post('ngl_ext/filtro', 'NGL\ExternosController@filtro');
	Route::resource('ngl_ext', 		'NGL\ExternosController');

	//***********************************************
	// Inscribe automatico para realizar examen de 
	// ubicacion alumnos, no valida si pago, nada!! 
	//***********************************************
	//Route::get('ubi_manual/{no_control}', 'NGL\ManualUbicPagoController@registro_manual');
	Route::get('lib_manual/{no_control}', 'NGL\ManualUbicPagoController@registro_lib');
	
//});